Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 595408 - Give ability to create, add to, remove from, search for, report of groups of tests in Beaker UI
Give ability to create, add to, remove from, search for, report of groups of ...
Status: CLOSED WONTFIX
Product: Beaker
Classification: Community
Component: web UI (Show other bugs)
0.5
All Linux
low Severity medium (vote)
: future_maint
: ---
Assigned To: Raymond Mancy
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-24 10:37 EDT by Matt Zywusko
Modified: 2014-12-07 20:02 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-03 01:59:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Zywusko 2010-05-24 10:37:12 EDT
Description of problem:

Would like a point and click mechanism for finding groups of tests. For example, it would be useful to search for (or easily add to) the Kernel Tier 1 or Tier 2 tests. Now you have to search through the test sources to find those tests. This would be useful so users could define (create, add and remove) suites and tests to suites. 

Use cases would include:

Create a suite or group of tests (e.g. "HBARegression") 
Add a test to a group or groups
Remove a test to a group or groups
Search for groups of tests (should show what the group contains)

This would give users the ability to organize their tests better, better enable developers & QE to contribute to groupings of tests (like regression suites per area of functionality)


Version-Release number of selected component (if applicable):
Beaker Version - 0.5.38 


How reproducible:
100%

Steps to Reproduce:
1. Open Beaker UI
2. Look in Task Library
3.
  
Actual results:
No groupings of tests - even though groupings might be in the test metadata

Expected results:


Additional info:
Comment 1 Dan Callaghan 2012-10-03 01:59:22 EDT
Managing test metadata is outside of Beaker's scope, please use an external tool such as TCMS for this.

Note You need to log in before you can comment on or make changes to this bug.